abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 05:55 | Komunita

Před 10 lety, v červenci 2007, se začal prodávat svobodný chytrý telefon Neo 1973 (vnitřní označení GTA01). Za jeho vývojem stáli vývojáři projektu Openmoko (Wikipedie). O rok později bylo možné koupit jejich druhý telefon Neo FreeRunner (GTA02). V roce 2011 byl představena platforma GTA04. Tuto platformu využívá také projekt Neo900, jehož cílem je vývoj nástupce telefonu Nokia N900. Nahlédnutí do historie Openmoko a další informace v článku na Vanille.de [Hacker News].

Ladislav Hagara | Komentářů: 0
dnes 04:44 | Komunita

Tým Debianu zabývající se reprodukovatelnými sestaveními (Reproducible Builds), tj. kdokoli může nezávisle ověřit, že daný binární .deb balíček vznikl překladem daných zdrojových kódů, oznámil, že 94 % balíčků Debianu lze přeložit a sestavit reprodukovatelně. V únory 2015 to bylo 83 % [reddit].

Ladislav Hagara | Komentářů: 0
včera 11:22 | Komunita

Mozilla.cz informuje, že na blogu Mozilly věnovaném bezpečnosti byly zveřejněny výsledky bezpečnostního auditu služby Firefox Accounts, v českých překladech účet Firefoxu, sloužící hlavně k přihlašování k synchronizaci Firefox Sync. Nalezeno bylo celkem 15 bezpečnostních chyb, z toho jedna byla označena jako kritická a tři jako vážné.

Ladislav Hagara | Komentářů: 0
včera 11:00 | Nová verze

Byla vydána první stabilní verze 1.0 svobodného komunikačního softwaru Ring (Wikipedie). Ring, původně SFLphone, je součástí projektu GNU [reddit].

Ladislav Hagara | Komentářů: 2
včera 06:00 | Zajímavý projekt

Warner Skoch na svých stránkách zveřejnil návod (YouTube) na zhotovení kapesní herní konzole MintyPi. Konzole MintyPi je postavena na Raspberry Pi Zero W a RetroPie. Jako obal slouží plechová krabička od mentolek.

Ladislav Hagara | Komentářů: 0
23.7. 02:00 | Nová verze

Byl vydán Debian 9.1, tj. první opravná verze Debianu 9 s kódovým názvem Stretch a Debian 8.9, tj. devátá opravná verze Debianu 8 s kódovým názvem Jessie. Řešeny jsou především bezpečnostní problémy, ale také několik vážných chyb. Instalační média Debianu 9 a Debianu 8 lze samozřejmě nadále k instalaci používat. Po instalaci stačí systém aktualizovat.

Ladislav Hagara | Komentářů: 31
22.7. 15:50 | Zajímavý článek

Nadace The Document Foundation (TDF) zastřešující vývoj svobodného kancelářského balíku LibreOffice zveřejnila čtyřiačtyřicetistránkovou výroční zprávu za rok 2016. K dispozici je ve formátu pdf ve vysokém (21,68 MB) a nízkém (7,1 MB) rozlišení. Zpráva byla vytvořena ve Scribusu.

Ladislav Hagara | Komentářů: 0
22.7. 14:40 | Zajímavý software

Mozilla.cz informuje, že Firefox Focus pro Android, velmi jednoduchý prohlížeč zaměřený na anonymní prohlížení, dosáhl milionu stažení. Firefox Focus blokuje sledující prvky a reklamy a při ukončení automaticky smaže všechna uložená data stránek, historii prohlížení a cookies.

Ladislav Hagara | Komentářů: 39
22.7. 14:20 | Komunita

Vyplněním dotazníku na Formuláře Google lze ovlivnit výběr výchozích aplikací v Ubuntu 18.04 LTS. Podrobnosti v příspěvku Dustina Kirklanda na Ubuntu Insights [reddit].

Ladislav Hagara | Komentářů: 7
21.7. 11:30 | Komunita

Etherpad (Wikipedie), svobodný online webový textový editor umožnující spolupráci v reálném čase, se stal oficiálním projektem organizace Software Freedom Conservancy (Wikipedie). Vývojáři Etherpadu se tak mohou stejně jako vývojáři dalších projektů soustředit pouze na vývoj softwaru a vše kolem zařídí Software Freedom Conservancy. Spuštěna byla instance Etherpadu pad.sfconservancy.org.

Ladislav Hagara | Komentářů: 3
Těžíte nějakou kryptoměnu?
 (4%)
 (3%)
 (21%)
 (72%)
Celkem 67 hlasů
 Komentářů: 2, poslední včera 03:34
    Rozcestník

    Dotaz: Arch: UNSUPPORTED balicky a upgrade

    11.9.2006 12:23 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Arch: UNSUPPORTED balicky a upgrade
    Přečteno: 77×
    Zdravim

    Mam jednoduchy dotaz, jak je to s balicky z unsupported a autoamtickymy upgrady?

    Konkretne mi jde o cestiny pro mozilli rodinu a openoffice. Pokud si je rucne vybuildim z pkgbuildu, tak prece automaticke upgrady nefunguji.

    Jak jsem zjistil, tak unsupported do pacmana pridat nejde.

    To opravdu budu muset rucne resit kolize zavislosti (znovu vybuildit novou cestinu z unsupported) pri upgradu firefoxu, thunderbirdu a openoffice?

    arch wiki se o tom nezminuje:

    http://wiki.archlinux.org/index.php/New_AUR_user_guidelines#Using_Packages_from_UNSUPPORTED

    Zdenek
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf

    Odpovědi

    11.9.2006 12:40 Michal Karas | skóre: 45 | blog: /dev/random
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Ahoj, v AURu je utilitka aurbuild, která umí tyhle balíčky aktualizovat. A myslím, že něco podobného tvořil i Mikos. Alespoň o tom v nějakém svém blogu psal.
    12.9.2006 12:20 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Dik, vypada to jakz takz pouzitelne. Vyhledavat a buildit balicky to umi, Ovsem upgrade tomu zjevne cini potize.

    aurbuild -su
    
    For security reasons, it is best to run this program as user.
    Build as root anyway? [Y/n]
    Traceback (most recent call last):
      File "/usr/bin/aurbuild", line 953, in ?
        main()
      File "/usr/bin/aurbuild", line 800, in main
        args, installed = Apacman.db_tools().get_foreign()
      File "/usr/lib/python2.4/site-packages/Aurbuild/pacman.py", line
     197, in get_foreign
        installed_names, installed_versions = self.get_local()
      File "/usr/lib/python2.4/site-packages/Aurbuild/pacman.py", line
     187, in get_local
        names.append(self.get_db_info(descfile, '%NAME%')[0])
    IndexError: list index out of range
    

    Delam to pod rootem protoze sudo neuznavam a chci mit ty balicky system-wide. Pod userem si cestinu muzu nainstalovat taky, ale to jako kdyz budu mit 50 klientu na aplikacnim serveru, to to mam kazdymu delat rucne? Trochu psycho...

    Zdenek.
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
    13.9.2006 11:11 Michal Karas | skóre: 45 | blog: /dev/random
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Nechápu. Jak system-wide? A proč by si to měl každý uživatel instalovat sám? Ten balíček se normálně nainstaluje do nějakého systémového adresáře.
    13.9.2006 13:42 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Prave proto ze by si to uzivatel nemel instalovat sam tak to instaluju jako root.

    Zdenek
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
    13.9.2006 18:34 Michal Karas | skóre: 45 | blog: /dev/random
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    No tak napiš bug report a používej to jako root. http://developer.berlios.de/projects/aurbuild/

    Teď jsem aktualizoval balíčky z AURu a zkusil jsem to spustit pod rootem. Bez problémů.
    13.9.2006 18:51 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Ale prave ze me to pod rootem nejde. Pod userem to zkouset nebudu. Jdu to prave instalovat na druhej komp, tak se uvidi.

    Zdenek
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
    junckritter avatar 13.9.2006 12:41 junckritter | skóre: 3 | blog: Laying_Circus | Trnava
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Je ešte další program v AURe - qpkg . Je to pythonovsky skript, dajú sa cez neho inštalovať a upgradovať veci z auru. Stačí napísať qpkg -p _balicek_ a on si stiahne PKGBUILD, voliteľne ho aj zobrazí, vyrobí balíček a keď je spustený pod rootom, tak aj nainštaluje pacmanom, inak ho skopiruje do ~/qpkq.packages odkial sa dá nainštalovať ručne. Po qpkg -u porovna s AURom verzie všetkých balíčkov nainštalovaných cez qpkg, (ručne vyrobené to bohužial nekontroluje) a ponukne ich inštalaciu. Závislosti kontroluje, ale vyriešiť ich vie zatiaľ iba z current/extra/community. Mne vyhovuje, určite ho skús. stránka v AURe
    2008 All Human Rights Reserved
    13.9.2006 12:46 DNA
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    firefox má snad češtinu v řozšíření .xpi na czille, nikdy jsem to jako balík do systému neinstaloval...
    13.9.2006 13:43 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    No to sice ma, ale jako rozsireni si ji prece muzu nainstalovat jen jako uzivatel, coz je mi z vyse popsanych duvodu naprosto k nicemu.

    Tohle ma resit balickovaci system (podobne jako kde-i18n-cs) a ne nejaky pseudo balickovaci system nejakyho programu.

    Zdenek
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
    kozzi avatar 13.9.2006 20:25 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Já nevím co řešíš já mám arch a firefox má v angličtině a nevidím důvod proč to měnit jinak pokud chceš češtinu tak použivej epiphany
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"
    13.9.2006 21:21 Michal Karas | skóre: 45 | blog: /dev/random
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Opravdu si myslím, že někdy je lepší se zkusit ovládnout a mlčet...
    kozzi avatar 13.9.2006 21:26 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Někdy možná jo, ale mám pocit že se tu řeší něco co opravdu není žádný velký problém. Pokud tedy chce češtinu tak může použít rozšíření z mocilly a klidně pro všechny uživatele. Nebo at si aktualizuje češtinu sam z pkgbuildu vzdyt nove verze nevychazeji kazdy den.
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"
    13.9.2006 21:53 Michal Karas | skóre: 45 | blog: /dev/random
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Jenže dotaz se netýká lokalizace Firefoxu, ale nesplněných závislostí kvůli balíčkům z unsupported.
    kozzi avatar 13.9.2006 22:01 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    No nejak jsem te nepochopil. Ale pokud dobre ctu tak mu jde o to aby se mu instalovali balicky jako je mozilla-firefox-cs a dalsi co jsou v unsupported primo pri aktualizaci. tudiz by stacilo aby byli pridany do community repo
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"
    kozzi avatar 15.9.2006 16:29 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    a co říkáš tomuhle mozilla-firefox-i18n ;-)
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"
    16.9.2006 00:32 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Do kamene tesat:

    K "pacman -Ss czech" pridat jeste "pacman -Ss i18n".

    Diky.
    www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
    kozzi avatar 16.9.2006 07:11 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    Vidis jediny co staci je napsat sve pripominky na misto kam patri a to neni tady sem do diskuze ale poslat to do aur mailing listu. Takze dalsi pripominky je lepsi psat primo na tur-users@archlinux.org. Jinak mozna bude lepsi pouzivat tu druhou moznost kterou jsem psal niz to cesky repository. Protoze u tohodle je problem ze stahujes vsechny lokalizace co by mozna az tak nevadilo ale je problem v tom ze ne vsechny jsou vidavany ve stejnou dobu takze to casem mozna sopadne tak ze se tento balicek odebere.
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"
    kozzi avatar 14.9.2006 00:04 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: Arch: UNSUPPORTED balicky a upgrade
    pridej si do tveho /etc/pacman.conf na konec tyto dve radky
    [csrep]
    Server = http://ajee.borec.cz/arch
    
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.